मुख्य सामग्री पर जाएं
GET
/
api
/
v1
/
orders
/
{order_id}
ऑर्डर प्राप्त करें
curl --request GET \
  --url https://api.example.com/api/v1/orders/{order_id}

ऑर्डर प्राप्त करें

किसी एनर्जी या बैंडविड्थ ऑर्डर की वर्तमान स्थिति और पूरी जानकारी लौटाता है।

पाथ पैरामीटर

order_id
number
आवश्यक
ऑर्डर ID — वह id जो Buy Energy या Buy Bandwidth लौटाता है।

रिस्पॉन्स

status, type, volume, price_trx, delegate_txid और टाइमस्टैम्प सहित पूरा ऑर्डर ऑब्जेक्ट लौटाता है।

ऑर्डर स्थितियाँ

स्थितिविवरण
pendingऑर्डर प्राप्त हुआ, डेलिगेशन जारी है
filledएनर्जी या बैंडविड्थ सफलतापूर्वक डेलिगेट किया गया
failedडेलिगेशन विफल रहा
reclaimedकिराये की अवधि के बाद बैंडविड्थ वापस ले लिया गया (केवल बैंडविड्थ ऑर्डर)

उदाहरण

curl https://api.tronrental.com/v1/orders/12345 \
  -H "X-API-Key: your_api_key"
Response
{
  "id": 12345,
  "type": "energy",
  "target_address": "TRecipientAddress...",
  "volume": 65000,
  "duration": "1h",
  "price_trx": "1.79",
  "status": "filled",
  "delegate_txid": "a1b2c3d4e5f6...",
  "undelegate_txid": null,
  "reclaim_at": null,
  "source": "api",
  "created_at": "2026-06-10T04:30:00Z"
}